package com.steering.jobface.jhy.CollectionType;

import CoreFS.SA06.CoreReturnSortObject;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 拉伸采集试验类
 * Created by 朱少波 on 2018/3/7.
 */
public class TenslieCollectionTHNew extends BaseCollection {



    @Override
    public String[] GetPhyCodeMin() {
        return new String[]{ "R0001","LS"};
    }

    @Override
    public List<Map<String, Object>> GetCollectionData() {

        return  ( (CoreReturnSortObject) getDataBySqlID("PhyCollectDaoTH","TenslieCollection.getData").getResult() ).getResult();

    }

    @Override
    public void RemarkOldData(String CheckNo, String SampleNo) {
        ArrayList<String> ar = new ArrayList<String>();
        ar.add("TenslieCollection.setDataFlag");
        ArrayList<Object[]> para = new ArrayList<Object[]>();
        para.add(new Object[]{
                "3",
                CheckNo,SampleNo
        });
        setDataById("PhyCollectDaoTH",ar  ,para );
    }

    @Override
    public void RemarkFailData(String CheckNo, String SampleNo) {
        ArrayList<String> ar = new ArrayList<String>();
        ar.add("TenslieCollection.setDataFlag");
        ArrayList<Object[]> para = new ArrayList<Object[]>();
        para.add(new Object[]{
                "4",
                CheckNo,SampleNo
        });
        setDataById("PhyCollectDaoTH",ar  ,para );
    }

    @Override
    public void RemarkOkData(String CheckNo, String SampleNo) {
        ArrayList<String> ar = new ArrayList<String>();
        ar.add("TenslieCollection.setDataFlag");
        ArrayList<Object[]> para = new ArrayList<Object[]>();
        para.add(new Object[]{
                "1",
                CheckNo,SampleNo
        });
        setDataById("PhyCollectDaoTH",ar  ,para );
    }


}
